Search Results for

Show / Hide Table of Contents

# Class BorderStyle

Specifies the border style for a View and to be used by the Border class.

##### Inheritance

System.Object
BorderStyle

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public sealed class BorderStyle : Enum

### Fields

#### Double

The border is drawn with a double line limits.

##### Declaration

    public const BorderStyle Double

##### Field Value

Type | Description
--- | ---
BorderStyle |

#### None

No border is drawn.

##### Declaration

    public const BorderStyle None

##### Field Value

Type | Description
--- | ---
BorderStyle |

#### Rounded

The border is drawn with a single line and rounded corners limits.

##### Declaration

    public const BorderStyle Rounded

##### Field Value

Type | Description
--- | ---
BorderStyle |

#### Single

The border is drawn with a single line limits.

##### Declaration

    public const BorderStyle Single

##### Field Value

Type | Description
--- | ---
BorderStyle |

#### value__

##### Declaration

    public int value__

##### Field Value

Type | Description
--- | ---
System.Int32 |